"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Validation", {
  enumerable: true,
  get: function () {
    return _validation.default;
  }
});
Object.defineProperty(exports, "ValidationError", {
  enumerable: true,
  get: function () {
    return _validationError.default;
  }
});
exports.validation = void 0;

var _validation = _interopRequireDefault(require("./validation"));

var _validationError = _interopRequireDefault(require("./validationError"));

var _creditCard = _interopRequireDefault(require("./validators/creditCard"));

var _email = _interopRequireDefault(require("./validators/email"));

var _eq = _interopRequireDefault(require("./validators/eq"));

var _gt = _interopRequireDefault(require("./validators/gt"));

var _gte = _interopRequireDefault(require("./validators/gte"));

var _in = _interopRequireDefault(require("./validators/in"));

var _integer = _interopRequireDefault(require("./validators/integer"));

var _json = _interopRequireDefault(require("./validators/json"));

var _lt = _interopRequireDefault(require("./validators/lt"));

var _lte = _interopRequireDefault(require("./validators/lte"));

var _maxLength = _interopRequireDefault(require("./validators/maxLength"));

var _minLength = _interopRequireDefault(require("./validators/minLength"));

var _number = _interopRequireDefault(require("./validators/number"));

var _numeric = _interopRequireDefault(require("./validators/numeric"));

var _password = _interopRequireDefault(require("./validators/password"));

var _phone = _interopRequireDefault(require("./validators/phone"));

var _required = _interopRequireDefault(require("./validators/required"));

var _url = _interopRequireDefault(require("./validators/url"));

const validation = new _validation.default();
exports.validation = validation;
validation.setValidator("creditCard", _creditCard.default);
validation.setValidator("email", _email.default);
validation.setValidator("eq", _eq.default);
validation.setValidator("gt", _gt.default);
validation.setValidator("gte", _gte.default);
validation.setValidator("in", _in.default);
validation.setValidator("integer", _integer.default);
validation.setValidator("json", _json.default);
validation.setValidator("lt", _lt.default);
validation.setValidator("lte", _lte.default);
validation.setValidator("maxLength", _maxLength.default);
validation.setValidator("minLength", _minLength.default);
validation.setValidator("number", _number.default);
validation.setValidator("numeric", _numeric.default);
validation.setValidator("password", _password.default);
validation.setValidator("phone", _phone.default);
validation.setValidator("required", _required.default);
validation.setValidator("url", _url.default);
//# sourceMappingURL=index.js.map