"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

/**
 * This class is used by validators to throw an error when value validation fails.
 * @class ValidationError
 * @param {string} message Error message
 * @param {string} validator Validator that triggered this error
 * @param {any} value Value that triggered this error
 */
class ValidationError extends Error {
  constructor(message = "", validator = null, value = null) {
    super();
    this.message = message;
    this.validator = validator;
    this.value = value;
  }

}

var _default = ValidationError;
exports.default = _default;
//# sourceMappingURL=validationError.js.map