"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _validationError = _interopRequireDefault(require("./../validationError"));

var _isnumeric = _interopRequireDefault(require("isnumeric"));

/**
 * @function number
 * @description This validator checks if the given value is numeric
 * @param {any} value
 * @return {boolean}
 */
var _default = value => {
  // Eliminate edge cases
  if (typeof value === "undefined" || value === 0 || value === "0") {
    return;
  }

  if (!value && !isNaN(value)) {
    return;
  }

  if ((0, _isnumeric.default)(value)) {
    return;
  }

  throw new _validationError.default("Value needs to be numeric.");
};

exports.default = _default;
//# sourceMappingURL=numeric.js.map